Move Ideation
curl --request POST \
--url https://api.example.com/api/v1/ideations/{ideation_id}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/api/v1/ideations/{ideation_id}/move"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/api/v1/ideations/{ideation_id}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignee_id": "<string>",
"board_id": "<string>",
"complexity": "small",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"id": "<string>",
"labels": [
"<string>"
],
"problem_statement": "<string>",
"proposed_approach": "<string>",
"scope_assessment": {},
"status": "draft",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"architecture_designs": [],
"archived": false,
"knowledge_bases": [],
"pre_archive_status": "<string>",
"qa_items": [],
"refinements": [],
"screen_mockups": [
{
"id": "<string>",
"title": "<string>",
"annotations": [
{
"id": "<string>",
"text": "<string>",
"author_id": "<string>"
}
],
"description": "<string>",
"html_content": "",
"order": 0,
"screen_type": "page"
}
],
"specs": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}ideations
Move Ideation
Change ideation status.
POST
/
api
/
v1
/
ideations
/
{ideation_id}
/
move
Move Ideation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Schema for changing ideation status.
Ideation lifecycle status.
Available options:
draft, review, approved, evaluating, done, cancelled Response
Successful Response
Schema for full ideation response.
Ideation complexity level — determines whether refinements are needed.
Available options:
small, medium, large Ideation lifecycle status.
Available options:
draft, review, approved, evaluating, done, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on May 17, 2026